org.apache.ignite.internal.util

## Class GridMutex

- java.lang.Object
- - org.apache.ignite.internal.util.GridMutex

All Implemented Interfaces:
  Externalizable, Serializable, Cloneable

    public class GridMutex
    extends Object
    implements Externalizable, Cloneable

Serializable mutex.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GridMutex()`

### Method Summary

Methods
`Object` `clone()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridMutex

    public GridMutex()

### Method Detail

#### clone

    public Object clone()

Overrides:
  `clone` in class `Object`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015